Bug 911557 - CVE-2013-0296 pigz: Temporary archive representation created with insecure permissions [fedora-all]
CVE-2013-0296 pigz: Temporary archive representation created with insecure pe...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pigz (Show other bugs)
18
All Linux
low Severity low
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2013-0296
  Show dependency treegraph
 
Reported: 2013-02-15 06:04 EST by Jan Lieskovsky
Modified: 2013-02-25 21:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 21:46:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-02-15 06:04:08 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-02-15 06:04:15 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=911556,911557
Comment 2 Jan Lieskovsky 2013-02-16 07:18:07 EST
Adel,

  when closing some bug, could you provide at least explanation why?
(no one said this is a big issue, but still an issue. Just closing the eyes the issue doesn't exist isn't the right thing to do).

Thank you.
Comment 3 Adel Gadllah 2013-02-16 07:19:58 EST
(In reply to comment #2)
> Adel,

Hi,

>   when closing some bug, could you provide at least explanation why?
> (no one said this is a big issue, but still an issue. Just closing the eyes
> the issue doesn't exist isn't the right thing to do).

I did provide one in the other bug https://bugzilla.redhat.com/show_bug.cgi?id=911556#c4

Basically that bug does not apply to 2.2.5 which we ship.
Comment 4 Adel Gadllah 2013-02-16 07:24:12 EST
(In reply to comment #2)

> (no one said this is a big issue, but still an issue. Just closing the eyes
> the issue doesn't exist isn't the right thing to do).

Oh and I am not "closing my eyes" ... I have tried to reproduce it and couldn't. Couldn't find anything in pigz.c that would set such a mode and finally did an strace to verify.

Then I have noticed that the report mentions 2.2.4, we do ship 2.2.5 though.

So no I am not ignoring security bugs ... I am just closing a bug that is long fixed ;)
Comment 5 Jan Lieskovsky 2013-02-16 07:34:33 EST
(In reply to comment #3)
> (In reply to comment #2)
> > Adel,
> 
> Hi,
> 
> >   when closing some bug, could you provide at least explanation why?
> > (no one said this is a big issue, but still an issue. Just closing the eyes
> > the issue doesn't exist isn't the right thing to do).
> 
> I did provide one in the other bug
> https://bugzilla.redhat.com/show_bug.cgi?id=911556#c4
> 
> Basically that bug does not apply to 2.2.5 which we ship.

Yeah, I didn't notice that one before (delay in mails from Bugzilla). Sorry.
Comment 6 Jan Lieskovsky 2013-02-16 07:35:19 EST
Reopen this to get it fixed in Fedora-17 yet.

Thank you for your help.
Comment 7 Fedora Update System 2013-02-16 08:11:19 EST
pigz-2.2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pigz-2.2.5-1.fc17
Comment 8 Fedora Update System 2013-02-16 22:25:13 EST
Package pigz-2.2.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pigz-2.2.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2589/pigz-2.2.5-1.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-02-25 21:46:06 EST
pigz-2.2.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.